# set\_baker\_registry

An entrypoint that setups a new **BakerRegistry** contract for bakers validation and registration in time of voting (see [BakerRegistry](/smart-contracts/farming/bakerregistry-contract.md)).

### Call parameters

| Field           | Type    | Description                                    |
| --------------- | ------- | ---------------------------------------------- |
| baker\_registry | address | An address of a new **BakerRegistry** contract |

### Usage

{% tabs %}
{% tab title="🌮 Taquito" %}

```javascript
const qFarmAddress = "KT1...";
const bakerRegistry = "KT1...";
const qFarm = await tezos.contract.at(qFarmAddress);
const operation = await qFarm.methods.set_baker_registry(bakerRegistry).send();

await operation.confirmation();
```

{% endtab %}
{% endtabs %}

### Errors

* `Not-admin` - `sender` of the transaction is not current administrator.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.quipuswap.com/smart-contracts/farming/tfarm-contract/entrypoints-overview/admin-entrypoints/set_baker_registry.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
